List your customers
curl --request GET \
--url https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"externalUserId": "cust_8842",
"investorId": "3f9c2a1e-7b4d-4c8e-9a61-2d5f0b8e4c17",
"kycStatus": "COMPLETED",
"country": "KE",
"currency": "KES",
"firstName": "Jane",
"lastName": "Wanjiku",
"email": "jane.wanjiku@example.com",
"phoneNumber": "+254712345678",
"kyc": {
"identificationType": "NATIONAL_ID",
"identificationNumber": "29384756",
"identificationCountry": "KE",
"residencyCountry": "KE",
"dateOfBirth": "1991-04-02",
"gender": "MALE",
"taxPayerNumber": "A012345678Z",
"residentialAddress": "Riverside Drive, Westlands",
"city": "Nairobi",
"postalCode": "00100",
"postalAddress": "P.O. Box 12345",
"sourceOfFunds": "SALARY_OR_BUSINESS_PROFIT",
"employmentStatus": "Full Time",
"nextOfKinNames": "John Wanjiku",
"nextOfKinContact": "+254722000000",
"nextOfKinEmail": "john.wanjiku@example.com"
},
"createdAt": "2026-10-22T09:14:03.511Z",
"updatedAt": "2026-10-22T09:14:03.511Z"
}
],
"nextCursor": "cust_8842"
}partners
List your customers
Newest first. Pass nextCursor as cursor for the next page. Items have no documents: get a customer for its document links.
GET
/
api
/
v3
/
partners
/
{shortName}
/
customers
List your customers
curl --request GET \
--url https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://be-dev-1.dev.ndovu.co/api/v3/partners/{shortName}/customers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"externalUserId": "cust_8842",
"investorId": "3f9c2a1e-7b4d-4c8e-9a61-2d5f0b8e4c17",
"kycStatus": "COMPLETED",
"country": "KE",
"currency": "KES",
"firstName": "Jane",
"lastName": "Wanjiku",
"email": "jane.wanjiku@example.com",
"phoneNumber": "+254712345678",
"kyc": {
"identificationType": "NATIONAL_ID",
"identificationNumber": "29384756",
"identificationCountry": "KE",
"residencyCountry": "KE",
"dateOfBirth": "1991-04-02",
"gender": "MALE",
"taxPayerNumber": "A012345678Z",
"residentialAddress": "Riverside Drive, Westlands",
"city": "Nairobi",
"postalCode": "00100",
"postalAddress": "P.O. Box 12345",
"sourceOfFunds": "SALARY_OR_BUSINESS_PROFIT",
"employmentStatus": "Full Time",
"nextOfKinNames": "John Wanjiku",
"nextOfKinContact": "+254722000000",
"nextOfKinEmail": "john.wanjiku@example.com"
},
"createdAt": "2026-10-22T09:14:03.511Z",
"updatedAt": "2026-10-22T09:14:03.511Z"
}
],
"nextCursor": "cust_8842"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your partner short name
Query Parameters
Only customers with this KYC status
Available options:
PENDING, REJECTED, COMPLETED, SUBMITTED, IN_EDIT, NEEDS_RESUBMISSION Only customers onboarded on or after this date (YYYY-MM-DD)
Pattern:
/^\d{4}-\d{2}-\d{2}$/Example:
"2026-10-01"
Only customers onboarded on or before this date (YYYY-MM-DD)
Pattern:
/^\d{4}-\d{2}-\d{2}$/Example:
"2026-10-31"
The previous page's nextCursor: the externalUserId of its last customer
Maximum string length:
255Example:
"cust_8842"
Required range:
1 <= x <= 50
